package com.sifang.modules.rechargewallet.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class RechargeWallet implements Serializable {
    private String id;
    private Date createTime;
    private Date updateTime;
    private BigDecimal total_amount;
    private BigDecimal availableAmount;
    private BigDecimal unUseAmount;
    private BigDecimal usedAmount;

    public RechargeWallet() {
        super();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(BigDecimal total_amount) {
        this.total_amount = total_amount;
    }

    public BigDecimal getAvailableAmount() {
        return availableAmount;
    }

    public void setAvailableAmount(BigDecimal availableAmount) {
        this.availableAmount = availableAmount;
    }

    public BigDecimal getUnUseAmount() {
        return unUseAmount;
    }

    public void setUnUseAmount(BigDecimal unUseAmount) {
        this.unUseAmount = unUseAmount;
    }

    public BigDecimal getUsedAmount() {
        return usedAmount;
    }

    public void setUsedAmount(BigDecimal usedAmount) {
        this.usedAmount = usedAmount;
    }
}
